?

Log in

No account? Create an account

Previous Entry | Next Entry

Have you heard of web browsers (plural)?

Dear Credit Card Company,

Safari and Firefox are not old versions of Netscape which need to be upgraded in order to work with your site. Had you not the browser auto-detect in place to interupt my attempt to pay my credit card, I would have had the internal functionality to do so. I do not think better of you because my 3-year-old version of IE was not so blocked from being able to pay this bill, not when versions of other browsers which came out in 2004 are wrongly detected as archaic. You need to work on your browser detection abilities.

Comments

( 1 comment — Leave a comment )
stonecircle
Feb. 28th, 2004 11:55 am (UTC)
I've just had that, FireFox is reporting its version number as 0.8 which it is but this makes sites think its a really old version of Netscape.

Robin.
( 1 comment — Leave a comment )